xcode 运行 lua版本崩溃 解决方案

问题描述:运行到LuaStack::init() 崩溃

原因: luajit不支持arm64

解决方案:编译luajit64位静态库

a.可以直接下载别人编译好的库,然后直接覆盖cocos2d\external\lua\luajit\prebuilt\ios\libluajit.a ,http://www.cocoachina.com/bbs/read.php?tid=281157 页面中提供了下载连接

b.编译官方提供的64为版本,源码地址:https://github.com/cocos2d/cocos2d-x-3rd-party-libs-src,编译方法也在其中

posted @ 2017-12-01 13:32  冷夜 - 网游编程技术  阅读(941)  评论(0编辑  收藏  举报